BEEM - Android XMPP - Bug #208

Connection -> Segfault
10/30/2009 02:26 PM - Vincent Véronis

Status: Closed Start date: 10/30/2009
Priority: Normal Due date:

Assignee: Vincent Véronis % Done: 100%
Category: XMPP Estimated time: 1.00 hour
Target version: Version Forum EIP

Affected version: Locale:

Description

Settings :

username = beem

password = beem

require ssl = false

use specific server option = true
server = elyzion.net

10-30 15:16:49.635: ERROR/AndroidRuntime(778): java.lang.lllegalStateException: Not connected to server.

10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at
org.jivesoftware.smack.XMPPConnection.addConnectionListener(XMPPConnection.java:838)
10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at
org.jivesoftware.smack.PrivacyListManager.init(PrivacyListManager.java:91)

10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at
org.jivesoftware.smack.PrivacyListManager.<init>(PrivacyListManager.java:72)

10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at
org.jivesoftware.smack.PrivacyListManager.<init>(PrivacyListManager.java:43)

10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at
org.jivesoftware.smack.PrivacyListManager$1.connectionCreated(PrivacyListManager.java:59)
10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at
org.jivesoftware.smack.XMPPConnection.initConnection(XMPPConnection.java:957)

10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at
org.jivesoftware.smack.XMPPConnection.connectUsingConfiguration(XMPPConnection.java:904)
10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at
org.jivesoftware.smack.XMPPConnection.connect(XMPPConnection.java:1415)

10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at

com.beem.project.beem.service. XmppConnectionAdapter.connectSync(XmppConnectionAdapter.java:132)
10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at
com.beem.project.beem.service.XmppConnectionAdapter$1.run(XmppConnectionAdapter.java:117)
10-30 15:16:49.635: ERROR/AndroidRuntime(778):  at java.lang.Thread.run(Thread.java:1058)

Associated revisions

Revision 485:1a0e8e12b088 - 10/30/2009 03:30 PM - Vincent Véronis
Revision 485:1a0e8e12b088 - 10/30/2009 03:30 PM - Vincent Veronis
Bug #208

Revision 485:1a0e8e12b088 - 10/30/2009 03:30 PM - Vincent Veronis
History

#1 - 10/30/2009 02:31 PM - Vincent Véronis
- % Done changed from 0 to 100
- Estimated time set to 1.00 h

Le bug arrive lorsqu'on ne rentre pas un JID dans le username.
J'ai rajoute un catch (lllegalStateException e) dans la fonction connectsync dans la classe XMPPConnectionAdapter.

#2 - 11/06/2009 07:40 PM - Frédéric Barthéléry

- Status changed from New to Resolved

Note pour marseille. Quand tu resolve un bug tu penses a mettre fixes ou closes bug #123 pour le mettre en resolved automatiquement. et puis c'est
plus parlant en plus.

#3 - 11/16/2009 07:19 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
